<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>remotenames</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="remotenames">
<span id="ext-remotenames"></span>
<h1 class="title">remotenames</h1>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#description" id="toc-entry-1">Description</a></li>
</ul>
</div>
<p>showing remotebookmarks and remotebranches in UI (EXPERIMENTAL)</p>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>By default both remotebookmarks and remotebranches are turned on. Config knob to
control the individually are as follows.</p>
<p>Config options to tweak the default behaviour:</p>
<dl class="docutils">
<dt>remotenames.bookmarks</dt>
<dd>Boolean value to enable or disable showing of remotebookmarks (default: True)</dd>
<dt>remotenames.branches</dt>
<dd>Boolean value to enable or disable showing of remotebranches (default: True)</dd>
<dt>remotenames.hoistedpeer</dt>
<dd>Name of the peer whose remotebookmarks should be hoisted into the top-level
namespace (default: 'default')</dd>
</dl>
</div>
</div>
</body>
</html>
